QGIS Application - Bug report #15796
OTF CRS Transformation of 1-bit tif raster grids in 2.18.0 is very slower than one in 2.16.3.

2016-11-01 01:48 AM - sand thorn

Status: Closed

Priority: Severe/Regression
Assignee:

Category: Projection Support

Affected QGIS version:2.18.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23716

Description

Platform: Windows 10 x64

Version: 2.17-dev x64, 2.18.0 x64, 2.19-dev x64

If raster grids are in a UTM projection and | change the CRS of project file to WGS84,
the rendering of viewport in v2.17-dev, v2.18, and v2.19-dev become very slow as 3000+ ms.

This isn't reproduced in v2.16.3, the viewport can be moved as swiftly as normal.

The attachment is a simple tif grid (with separated worldfile) which you can import as any UTM CRS

then change the project CRS to WGS84 to reproduce this issue.

Associated revisions

Revision db0e7d57 - 2016-11-04 06:07 AM - Martin Dobias

Remove per-pixel debug msg slowing down reprojection (fixes #15796)

Even at level 5, the debug string would still be built and thrown away,

and affects both debug builds and RelWithDebuglnfo (used for windows -dev builds).

Revision 0dd094ca - 2016-11-04 06:15 AM - Martin Dobias

Remove per-pixel debug msg slowing down reprojection (fixes #15796)

Even at level 5, the debug string would still be built and thrown away,

and affects both debug builds and RelWithDebuglnfo (used for windows -dev builds).

(cherry picked from commit dbOe7d57218f29dd5a6{386b8b4ce40f11a3ab59)

History

#1 - 2016-11-01 03:31 AM - Anita Graser
- Priority changed from Normal to Severe/Regression
- Category set to Projection Support

#2 - 2016-11-03 10:13 PM - Martin Dobias
- Status changed from Open to Closed
Fixed in changeset commit:"db0e7d57218f29dd5a6f386b8b4ce40f11a3ab59".

Files
__test_otf_2.18.0.tif 5.45 KB 2016-11-01 sand thorn
__ test_otf 2.18.0.tfw 89 Bytes 2016-11-01 sand thorn
